#!/bin/sh

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-GEM
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1997, 1998
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################
#
# Change the console's properties to the dialog's current field values
###############################################################################
DBUG=0

OWNER=$1
ID=$2

     JAVA_PATH=`wgetvalue g0/java_path_field`
JAVA_CLASSPATH=`wgetvalue g0/java_classpath_field`
       CL_ARGS=`wgetvalue g0/clargs_field`

if [ $DBUG -eq 1 ]
then 
   wstatusline "$0"
   wstatusline "  OWNER=$OWNER, ID=$ID"; 
   wstatusline "  Fields: PATH=$JAVA_PATH, CLASSPATH=$JAVA_CLASSPATH, ARGS=$CL_ARGS"
fi

set -e

eval idlattr -t -s $OWNER java_path      string \'\"$JAVA_PATH\"\'
eval idlattr -t -s $OWNER java_classpath string \'\"$JAVA_CLASSPATH\"\'
eval idlattr -t -s $OWNER clargs         string \'\"$CL_ARGS\"\'                

exit 0
