#!/bin/sh


###############################################################################
# Run the standard script to set up the Tivoli environment
###############################################################################
if [ -n "$windir" ] ; then
      WINOS=`echo $windir | awk /:/'{ print substr($1,4) }'`
   WINDRIVE=`echo $windir | awk /:/'{ print substr($1,1,2) }'`
fi

if [ -n "$WINOS" ]
then source $WINDRIVE/$WINOS/system32/drivers/etc/Tivoli/setup_env.sh
else . /etc/Tivoli/setup_env.sh
fi

$BINDIR/../generic_unix/TDS/client/bin/installTConsoleBaseCat.sh _ja ja_JP
$BINDIR/../generic_unix/TDS/client/bin/installTConsoleBaseItem.sh tdi_jaID

echo "Completed installation of the base console(ja) code"

