#!/bin/sh

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-GEM
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1997, 1998
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################
#
# Open the console's "Properties" dialog
###############################################################################
DBUG=0

OWNER=$1
ID=$2
 
     JAVA_PATH="`idlattr -t -g $OWNER java_path      string`"
JAVA_CLASSPATH="`idlattr -t -g $OWNER java_classpath string`"
        CLARGS="`idlattr -t -g $OWNER clargs         string`"
  THIS_CONSOLE="`idlattr -t -g $OWNER label          string`"
 
if [ $DBUG -eq 1 ]
then 
   wstatusline "$0"
   wstatusline "  OWNER=$OWNER, ID=$ID"; 
   wstatusline "  JAVA_PATH=$JAVA_PATH, JAVA_CLASSPATH=$JAVA_CLASSPATH, CLARGS=$CLARGS, THIS_CONSOLE=$THIS_CONSOLE";
fi
  
wpostdialog properties_dialog JAVA_PATH      "$JAVA_PATH"      \
                              JAVA_CLASSPATH "$JAVA_CLASSPATH" \
                              CLARGS         "$CLARGS"         \
                              THIS_CONSOLE   "$THIS_CONSOLE"

exit 0
