#!/bin/sh

lang=$1
dir=$2
###############################################################################
# Run the standard script to set up the Tivoli environment
###############################################################################
if [ -n "$windir" ] ; then
      WINOS=`echo $windir | awk /:/'{ print substr($1,4) }'`
   WINDRIVE=`echo $windir | awk /:/'{ print substr($1,1,2) }'`
fi

if [ -n "$WINOS" ]
then source $WINDRIVE/$WINOS/system32/drivers/etc/Tivoli/setup_env.sh
else . /etc/Tivoli/setup_env.sh
fi

if [ ! -d $BINDIR/../../msg_cat/$dir ]; then
   mkdir  $BINDIR/../../msg_cat/$dir
fi

cp $BINDIR/../generic_unix/TDS/client/bin/tconsole$lang.cat $BINDIR/../../msg_cat/$dir/tconsole.cat

